Register Members List Search Today's Posts Mark Forums Read

Reply
 
Thread Tools
  #16  
Old 11 May 2017, 11:51
Paul M's Avatar
Paul M Paul M is offline
 
Join Date: Sep 2004
Real name: Paul M
Originally Posted by loua_oz View Post
VB Admin shows PHP 5.4.45.

For MySQL both (hosting and VB Admin panel) show 5.6.33
Then your forum is running on php 5.4.
Its as simple as that, so contact your host.
__________________
Former vBulletin.org Staff Member


Cable Forum
Please do not PM me about custom work - I no longer undertake any.
Note: I will not answer support questions via e-mail or PM - please use the relevant thread or forum.
Reply With Quote
  #17  
Old 11 May 2017, 12:23
loua_oz loua_oz is offline
 
Join Date: Dec 2010
Originally Posted by Paul M View Post
Then your forum is running on php 5.4.
Its as simple as that, so contact your host.
What should I tell them? Someone from VB told me that you, the hosting site, are lying about versions of PHP?

--------------- Added 11 May 2017 at 12:45 ---------------

How could I dispute what my hosting site says:

PHP Version 5.6.30

--------------- Added 12 May 2017 at 00:49 ---------------

Has anyone actually upgraded to 4.2.4 or 4.2.5?What was their provider and VB Panel showing as versions of PHP?
Reply With Quote
  #18  
Old 18 Dec 2017, 20:28
XXP XXP is offline
 
Join Date: Jan 2007
Same error: w/ PHP 7.1.x & MySQL 5.5.x

Please help.
On update to 4.2.5 from 4.2.2, getting SQL error.
As suggested in this thread: checked that Blogs are enabled (yes), and returned to the vB control panel to check status:
It now reports that we are at vb 4.2.5 (partially as the upgrade halts halfway), and it confirms PHP 7.1.12

Thanks very much.

Here's the error message:
Unexpected Text:
<?xml version="1.0" encoding="windows-1252"?>
<br />
<b>Warning</b>: mysqli_query(): (42000/1064): You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ' )
)
WHERE ipid IS NULL' at line 6 in <b>/home/xxxxxadm/public_html/bb/includes/class_core.php</b> on line <b>1386</b><br />
<?xml version="1.0" encoding="windows-1252"?>
<errors>
<error><![CDATA[<p>Database Error</p>

Invalid SQL:

SELECT bt.userid, bt.dateline, blogtextid, ipaddress, firstblogtextid
FROM cr_blog_text bt
JOIN cr_blog bl USING (blogid)
LEFT JOIN cr_ipdata ip ON (
bt.ipaddress = ip.ipid AND bt.blogtextid = ip.contentid
AND bt.userid = ip.userid AND ip.contenttypeid IN (, )
)
WHERE ipid IS NULL;

You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ' )
)
WHERE ipid IS NULL' at line 6]]></error>
<error_html><![CDATA[<p>Database error in vBulletin 4.2.5</p>
<p>Invalid SQL:

SELECT bt.userid, bt.dateline, blogtextid, ipaddress, firstblogtextid
FROM cr_blog_text bt
JOIN cr_blog bl USING (blogid)
LEFT JOIN cr_ipdata ip ON (
bt.ipaddress = ip.ipid AND bt.blogtextid = ip.contentid
AND bt.userid = ip.userid AND ip.contenttypeid IN (, )
)
WHERE ipid IS NULL;<p>
<p>
<strong>MySQL Error</strong> : You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ' )
)
WHERE ipid IS NULL' at line 6<br />
<strong>Error Number</strong> : 1064<br />
<strong>Request Date</strong> : Monday, December 18th 2017 @ 03:21:34 PM<br />
<strong>Error Date</strong> : Monday, December 18th 2017 @ 03:21:35 PM<br />
<strong>Script</strong> : http://www.xxxxx.com/bb/install/upgrade.php<br />
<strong>Referrer</strong> : http://www.xxxxx.com/bb/install/upgrade.php<br />
<strong>Classname</strong> : vB_Database_MySQLi<br />
<strong>MySQL Version</strong> : 5.5.58-cll<br />
</p>]]></error_html>
</errors>
Reply With Quote
  #19  
Old 18 Dec 2017, 22:36
Mark.B Mark.B is offline
 
Join Date: Feb 2004
That's not even close to being the 'same error' - it is always best to start a new thread rather than piggybacking someone else's.

Anyway, in this case, you need to ensure the blog product is enabled in the admincp, then run the upgrade again.
__________________
MARK.B (Member of the vB Support Team)
Reply With Quote
  #20  
Old 20 Dec 2017, 15:55
Stingray27 Stingray27 is offline
 
Join Date: Jan 2006
Originally Posted by XXP View Post
As suggested in this thread: checked that Blogs are enabled (yes)
The error says otherwise, it only occurs if you try to upgrade with the blogs disabled.
Reply With Quote
Reply



Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


New To Site? Need Help?

All times are GMT. The time now is 02:35.

Layout Options | Width: Wide Color: